<?php
defined('BASEPATH') OR exit('No direct script access allowed');

class Albums extends CI_Controller {

	public function __construct(){
		parent::__construct();
		$this->load->model('model_music');
		$this->load->helper('html');
		$this->load->helper('url');
	}
	public function index(){
		if ($recherche=filter_input(INPUT_GET,'recherche') == false or $recherche=filter_input(INPUT_GET,'recherche') == null){
			$albums = $this->model_music->getAlbums();
		}else{
			$recherche=filter_input(INPUT_GET,'recherche');
			$albums = $this->model_music->getSearchAlbums($recherche);
		}
		$this->load->view('layout/header');
		if ($albums == false){
			$page = preg_split('/[\/]/',$_SERVER['HTTP_REFERER']);
			$this->load->view('error',['page'=>$page[count($page)-1]]);
			$albums = $this->model_music->getAlbums();
		}
		$this->load->view('albums_list',['albums'=>$albums]);
		$this->load->view('layout/footer');
	}

}

